dots.v1.audio.speech.post()
Generated on 27 Oct 2026
from DoTs version
v1.21.0
Usage
client.v1.audio.speech.post(body: Create_speech_request, requestConfiguration?: RequestConfiguration<object>): Promise<undefined | Speech_response>Description
Convert text input to speech audio. The response may be raw audio bytes (audio/mpeg, audio/wav, and similar) or a JSON envelope with base64-encoded audio in data[].b64_json.
Parameters
modelstring requiredExample:
qwen3-tts-voicedesignThe text-to-speech model to use.
inputstring requiredExample:
Hello, world!The text to convert to speech.
voicestring optionalExample:
alloyThe voice to use for synthesis.
responseFormatstring optionalExample:
mp3The audio format to return. Supported values include
mp3andwav. The API may return raw audio bytes or a JSON envelope with base64-encoded audio.instructionsstring optionalExample:
Speak naturally.Optional style or delivery instructions for the synthesizer.
Request Sample
Response Example
More Information
See /v1/audio/speech in the API reference for additional detail on responses, headers, parameters, and more.